Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.context.notification
Interface ServerNotificationListener<T extends ServerNotification>

All Known Subinterfaces:
  ComponentMessageNotificationListener<T>, ConnectionNotificationListener<T>, CustomNotificationListener<T>, EndpointMessageNotificationListener<T>, ExceptionNotificationListener<T>, FunctionalTestNotificationListener, HeartbeatNotificationListener<T>, ManagementNotificationListener<T>, ModelNotificationListener<T>, MuleContextNotificationListener<T>, RegistryNotificationListener<T>, RemoteDispatcherNotificationListener<T>, RoutingNotificationListener<T>, SecurityNotificationListener<T>, ServiceNotificationListener<T>, ServletContextNotificationListener<T>, TransactionNotificationListener<T>

All Known Implementing Classes:
  AbstractCompressionTransformer, AbstractDiscoverableTransformer, AbstractEncryptionTransformer, AbstractEventTransformer, AbstractExpressionTransformer, AbstractJmsTransformer, AbstractJsonTransformer, AbstractMessageAwareTransformer, AbstractMessageTransformer, AbstractTransformer, AbstractXmlTransformer, AbstractXStreamTransformer, AddBookResponse, AnnotatedTransformerProxy, AtomEntryBuilderTransformer, AutoTransformer, AxisConnector, AxisWsdlConnector, Base64Decoder, Base64Encoder, BaseToOutputHandler, BeanBuilderTransformer, BeanToMap, ByteArrayToHexString, ByteArrayToMuleMessage, ByteArrayToObject, ByteArrayToSerializable, ChatStringToString, CreditProfileXmlToCreditProfile, DecryptionTransformer, DomDocumentToXml, EmailMessageToString, EncryptionTransformer, ErrorMessageToException, ErrorMessageToExceptionBean, ExceptionBeanToErrorMessage, ExceptionToString, ExpressionTransformer, FileToByteArray, FileToString, GetBeanProperty, GZipCompressTransformer, GZipUncompressTransformer, HexStringToByteArray, HttpClientMethodResponseToObject, HttpRequestBodyToParamMap, HttpRequestToBook, HttpRequestToByteArray, HttpRequestToInputStream, HttpRequestToNameString, HttpRequestToParameter, HttpRequestToParameterMap, HttpResponseToString, IPToSender, JAXBMarshallerTransformer, JAXBUnmarshallerTransformer, JMSMessageToObject, JmxAgent.MuleContextStartedListener, JmxAgent.MuleContextStoppedListener, JsonToObject, JXPathExtractor, LoanQuoteRequestToCreditProfileArgs, MapLookup, MapToBean, MessagePropertiesTransformer, MimeMessageToRfc822ByteArray, MuleMessageToByteArray, MuleMessageToHttpResponse, NameStringToChatString, NoActionTransformer, ObjectArrayToString, ObjectToByteArray, ObjectToFeed, ObjectToHttpClientMethodRequest, ObjectToInputStream, ObjectToJMSMessage, ObjectToJson, ObjectToMimeMessage, ObjectToOutputHandler, ObjectToRemoteInvocationResultTransformer, ObjectToRemoteInvocationTransformer, ObjectToRssFeed, ObjectToString, ObjectToXml, ObjectToXmppPacket, OrderToEmailTransformer, RestRequestToCustomerRequest, Rfc822ByteArraytoMimeMessage, ScriptTransformer, SerializableToByteArray, ServletRequestToOutputHandler, SimpleMathTransformer, StdinToNameString, StringAppendTestTransformer, StringAppendTransformer, StringToEmailMessage, StringToNameString, StringToNumber, StringToObjectArray, TransformerChain, TransformerTemplate, ValidateResponse, XmlEntityDecoder, XmlEntityEncoder, XmlPrettyPrinter, XmlToDomDocument, XmlToObject, XmlToOutputHandler, XmlToXMLStreamReader, XmppPacketToObject, XPathExtractor, XQueryTransformer, XsltTransformer

    public interface ServerNotificationListener<T extends ServerNotification>

`ServerNotificationListener` is an observer interface that ojects can implement and register themselves with the Mule Server to receive notifications when the server, model and components stop, start, initialise, etc.

Method Summary
`void` | `onNotification(T notification)`

Method Detail

### onNotification

    void onNotification(T notification)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.